# kymograph-py
Utility code to generate kymograph plots from nD images, compatible with napari


![image](https://github.com/user-attachments/assets/7a348ac5-dbbe-4ae6-9474-cddda83dc205)



## Installation

Install with

```
pip install git+https://github.com/eigenP/kymograph-py.git
```

## Demo

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/eigenP/kymograph-py/blob/main/tutorials/colab_test_kymograph_py.ipynb)


For an example using napari, see [napari_kymograph_advanced_example.ipynb](https://github.com/eigenP/kymograph-py/blob/main/tutorials/napari_kymograph_advanced_example.ipynb) in the tutorials folder

---

### Acknowledgements

This code was generated as part of the following study [biorxiv - Application of tissue-scale tension to avian epithelia in vivo to study multiscale mechanical properties and inter-germ layer coupling](https://www.biorxiv.org/content/10.1101/2024.04.04.588089v1) and I thank all co-authors for their input. If you find this code useful, please consider citing

```
@article {Oikonomou2024.04.04.588089,
	author = {Oikonomou, Panagiotis and Calvary, Lisa and Cirne, Helena C. and Welch, Andreas E. and Durel, John F. and Powell, Olivia and Nerurkar, Nandan L.},
	title = {Application of tissue-scale tension to avian epithelia in vivo to study multiscale mechanical properties and inter-germ layer coupling},
	elocation-id = {2024.04.04.588089},
	year = {2024},
	doi = {10.1101/2024.04.04.588089},
	publisher = {Cold Spring Harbor Laboratory},
	URL = {https://www.biorxiv.org/content/early/2024/04/06/2024.04.04.588089},
	eprint = {https://www.biorxiv.org/content/early/2024/04/06/2024.04.04.588089.full.pdf},
	journal = {bioRxiv}
}
```
